Bug 152651 - [CMake][GTK][OSX] webkit-gtk 2.11.2: libwebkit2gtk (and others) are not installed by 'make install'
Summary: [CMake][GTK][OSX] webkit-gtk 2.11.2: libwebkit2gtk (and others) are not insta...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Local Build
Hardware: Macintosh OS X 10.11
: P3 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 126492
  Show dependency treegraph
 
Reported: 2016-01-02 01:29 PST by Jeremy Huddleston Sequoia
Modified: 2016-03-14 01:37 PDT (History)
4 users (show)

See Also:


Attachments
main.log.bz2 (695.56 KB, application/x-bzip2)
2016-01-03 23:06 PST, Jeremy Huddleston Sequoia
no flags Details
potential solution (not tested) (1.63 KB, patch)
2016-03-12 02:24 PST, Jeremy Huddleston Sequoia
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Huddleston Sequoia 2016-01-02 01:29:18 PST
I'm trying to build webkit-gtk 2.11.2 on OS X (the last version we had working was 2.4.9, before the move to cmake).  We are configuring as follows:

cmake -DCMAKE_INSTALL_PREFIX=/opt/local -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_COLOR_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON -DCMAKE_INSTALL_RPATH=/opt/local/lib -DCMAKE_INSTALL_NAME_DIR=/opt/local/lib -DCMAKE_SYSTEM_PREFIX_PATH="/opt/local;/usr" -DCMAKE_MODULE_PATH=/opt/local/share/cmake/Modules -DCMAKE_FIND_FRAMEWORK=LAST -Wno-dev -DPORT=GTK -DENABLE_X11_TARGET=ON -DENABLE_QUARTZ_TARGET=OFF -DLLVM_CONFIG_EXE=/opt/local/bin/llvm-config-mp-3.7 -DENABLE_VIDEO=ON -DENABLE_INTROSPECTION=OFF -DCMAKE_C_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_OSX_ARCHITECTURES="x86_64" -DCMAKE_OSX_DEPLOYMENT_TARGET="10.11" -DCMAKE_OSX_SYSROOT="/"

After working around bug #152640, bug #152641, and bug #152650, the build succeeded, but the result of 'make install' is missing most content:

Port webkit-gtk-devel contains:
  /opt/local/bin/jsc
  /opt/local/include/webkitgtk-4.0/JavaScriptCore/JSBase.h
  /opt/local/include/webkitgtk-4.0/JavaScriptCore/JSContextRef.h
  /opt/local/include/webkitgtk-4.0/JavaScriptCore/JSObjectRef.h
  /opt/local/include/webkitgtk-4.0/JavaScriptCore/JSStringRef.h
  /opt/local/include/webkitgtk-4.0/JavaScriptCore/JSValueRef.h
  /opt/local/include/webkitgtk-4.0/JavaScriptCore/JavaScript.h
  /opt/local/include/webkitgtk-4.0/JavaScriptCore/WebKitAvailability.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitAuthenticationRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitAutocleanups.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitBackForwardList.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitBackForwardListItem.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitColorChooserRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitContextMenu.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitContextMenuActions.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitContextMenuItem.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitCookieManager.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitCredential.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitDefines.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitDownload.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitEditingCommands.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitEditorState.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitEnumTypes.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitError.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitFaviconDatabase.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitFileChooserRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitFindController.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitFormSubmissionRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitForwardDeclarations.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitFrame.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitGeolocationPermissionRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitHitTestResult.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitInstallMissingMediaPluginsPermissionRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitJavascriptResult.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitMimeInfo.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitNavigationAction.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitNavigationPolicyDecision.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitNotification.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitNotificationPermissionRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitPermissionRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitPlugin.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitPolicyDecision.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitPrintOperation.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitResponsePolicyDecision.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitScriptDialog.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitScriptWorld.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitSecurityManager.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitSettings.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitURIRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitURIResponse.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitURISchemeRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitUserContent.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitUserContentManager.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitUserMediaPermissionRequest.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitVersion.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebContext.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebEditor.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebExtension.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebExtensionAutocleanups.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebHitTestResult.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebInspector.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebPage.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebResource.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebView.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebViewBase.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWebsiteDataManager.h
  /opt/local/include/webkitgtk-4.0/webkit2/WebKitWindowProperties.h
  /opt/local/include/webkitgtk-4.0/webkit2/webkit-web-extension.h
  /opt/local/include/webkitgtk-4.0/webkit2/webkit2.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMAttr.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMAttrUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMAudioTrack.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMAudioTrackList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMBarProp.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMBatteryManager.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMBlob.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMBlobUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCDATASection.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCSSRule.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCSSRuleList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCSSRuleUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCSSStyleDeclaration.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCSSStyleSheet.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCSSValue.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCharacterData.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCharacterDataUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMComment.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCustom.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMCustomUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMApplicationCache.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMImplementation.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMMimeType.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMMimeTypeArray.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMNamedFlowCollection.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMPlugin.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMPluginArray.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMSecurityPolicy.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMSelection.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMSettableTokenList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMStringList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMStringMap.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMTokenList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMWindow.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMWindowCSS.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMWindowSpeechSynthesis.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDOMWindowUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDataCue.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDatabase.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDeprecated.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDocument.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDocumentFragment.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDocumentFragmentUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDocumentType.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDocumentTypeUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMDocumentUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMEvent.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMEventTarget.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMEventUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMFile.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMFileList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMGamepad.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMGamepadList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMGeolocation.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLAnchorElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLAnchorElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLAppletElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLAreaElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLAreaElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLAudioElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLBRElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLBaseElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLBodyElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLButtonElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLButtonElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLCanvasElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLCollection.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLDListElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLDetailsElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLDirectoryElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLDivElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLDocument.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLEmbedElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLFieldSetElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLFieldSetElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLFontElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLFormElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLFormElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLFrameElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLFrameSetElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLHRElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLHeadElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLHeadingElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLHtmlElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLHtmlElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLIFrameElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLIFrameElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLImageElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLImageElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLInputElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLInputElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLKeygenElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLLIElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLLabelElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLLabelElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLLegendElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLLinkElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLLinkElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLMapElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLMarqueeElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLMarqueeElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLMediaElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLMenuElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLMetaElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLModElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLOListElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLOListElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLObjectElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLObjectElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLOptGroupElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLOptionElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLOptionsCollection.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLOptionsCollectionUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLParagraphElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLParamElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLPreElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLQuoteElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLScriptElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLScriptElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLSelectElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLSelectElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLStyleElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTableCaptionElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTableCellElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTableColElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTableElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTableElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTableRowElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTableSectionElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTextAreaElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTextAreaElementUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLTitleElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLUListElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHTMLVideoElement.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMHistory.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMKeyboardEvent.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMLocation.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMediaController.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMediaDevices.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMediaError.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMediaList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMediaQueryList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMediaTrackSupportedConstraints.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMessagePort.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMouseEvent.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMMouseEventUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNamedNodeMap.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNavigator.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNavigatorMediaDevices.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNode.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNodeFilter.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNodeIterator.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNodeList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMNodeUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMObject.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMPerformance.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMPerformanceEntry.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMPerformanceEntryList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMPerformanceNavigation.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMPerformanceTiming.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMProcessingInstruction.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMRange.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMRangeUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMScreen.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMSpeechSynthesis.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMSpeechSynthesisEvent.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMSpeechSynthesisUtterance.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMSpeechSynthesisVoice.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMStorage.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMStorageInfo.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMStorageQuota.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMStyleMedia.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMStyleSheet.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMStyleSheetList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMText.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTextTrack.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTextTrackCue.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTextTrackCueList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTextTrackList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTimeRanges.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTouch.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTrackEvent.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMTreeWalker.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMUIEvent.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMUIEventUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMUserMessageHandler.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMUserMessageHandlersNamespace.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMVTTCue.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMValidityState.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMVideoPlaybackQuality.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMVideoTrack.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMVideoTrackList.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMWebKitNamedFlow.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMWebKitNamespace.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMWebKitPoint.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMWheelEvent.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMWheelEventUnstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMXPathExpression.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMXPathNSResolver.h
  /opt/local/include/webkitgtk-4.0/webkitdom/WebKitDOMXPathResult.h
  /opt/local/include/webkitgtk-4.0/webkitdom/webkitdom.h
  /opt/local/include/webkitgtk-4.0/webkitdom/webkitdomautocleanups-unstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/webkitdomautocleanups.h
  /opt/local/include/webkitgtk-4.0/webkitdom/webkitdomdefines-unstable.h
  /opt/local/include/webkitgtk-4.0/webkitdom/webkitdomdefines.h
  /opt/local/lib/javascriptcoregtk-4.0/libllvmForJSC.dylib
  /opt/local/lib/libjavascriptcoregtk-4.0.18.3.1.dylib
  /opt/local/lib/libjavascriptcoregtk-4.0.18.dylib
  /opt/local/lib/libjavascriptcoregtk-4.0.dylib
  /opt/local/lib/pkgconfig/javascriptcoregtk-4.0.pc
  /opt/local/lib/pkgconfig/webkit2gtk-4.0.pc
  /opt/local/lib/pkgconfig/webkit2gtk-web-extension-4.0.pc
  /opt/local/lib/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so
  /opt/local/libexec/webkit2gtk-4.0/WebKitDatabaseProcess
  /opt/local/libexec/webkit2gtk-4.0/WebKitPluginProcess
  /opt/local/libexec/webkit2gtk-4.0/WebKitPluginProcess2
  /opt/local/share/locale/ar/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/as/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/bg/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/ca/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/cs/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/de/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/el/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/en_CA/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/en_GB/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/eo/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/es/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/et/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/eu/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/fr/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/gl/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/gu/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/he/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/hi/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/hu/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/id/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/it/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/ja/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/kn/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/ko/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/lt/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/lv/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/ml/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/mr/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/nb/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/nl/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/or/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/pa/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/pl/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/pt/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/pt_BR/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/ro/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/ru/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/sl/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/sr/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/sr@latin/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/sv/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/ta/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/te/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/tr/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/uk/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/vi/LC_MESSAGES/WebKit2GTK-4.0.mo
  /opt/local/share/locale/zh_CN/LC_MESSAGES/WebKit2GTK-4.0.mo
Comment 1 Jeremy Huddleston Sequoia 2016-01-02 01:36:35 PST
Unfortunately, I forgot to keep the build log, so I'm re-building now and will attach the build log tomorrow.
Comment 2 Jeremy Huddleston Sequoia 2016-01-03 23:06:43 PST
Created attachment 268176 [details]
main.log.bz2
Comment 3 Jeremy Huddleston Sequoia 2016-01-03 23:25:08 PST
In case it's not obvious, libwebkit2gtk-4.0.dylib is missing.
Comment 4 Philippe Normand 2016-01-03 23:55:58 PST
Out of curiosity, why not enabling the Quartz backend?
Comment 5 Jeremy Huddleston Sequoia 2016-01-04 00:01:08 PST
WebKitWebProcess, WebKitNetworkProcess, and LLIntOffsetsExtractor are also not installed.

The Quartz backend is disabled because you cannot build with both ENABLE_X11_TARGET and ENABLE_QUARTZ_TARGET at the same time.  Our users can enable ENABLE_QUARTZ_TARGET instead of ENABLE_X11_TARGET by choosing an appropriate build variant.
Comment 6 Philippe Normand 2016-01-04 06:44:51 PST
Which version of CMake?
Comment 7 Philip Chimento 2016-01-04 06:58:18 PST
Could it be related to https://bugs.webkit.org/show_bug.cgi?id=152183 where the GIRs are being directed to uninstalled dylibs?
Comment 8 Jeremy Huddleston Sequoia 2016-01-04 12:07:00 PST
cmake version 3.4.1

This is likely unrelated to bug #152183.
Comment 9 Philip Chimento 2016-03-11 23:09:07 PST
I get this on 2.11.91 with the Quartz backend as well.
Comment 10 Philip Chimento 2016-03-11 23:34:23 PST
I think this is the culprit:

http://trac.webkit.org/browser/trunk/Source/WebKit2/CMakeLists.txt#L856

Is there a different option that could be substituted for if(APPLE), or could this simply be changed to

    if (APPLE AND NOT PORT STREQUAL "GTK")
Comment 11 Jeremy Huddleston Sequoia 2016-03-12 02:20:58 PST
Actually, would 'PORT STREQUAL "Mac"' be more appropriate there?
Comment 12 Jeremy Huddleston Sequoia 2016-03-12 02:24:29 PST
Created attachment 273827 [details]
potential solution (not tested)
Comment 13 Jeremy Huddleston Sequoia 2016-03-14 00:59:35 PDT
I forgot to followup here when I marked the patch for review and commit.  I tested it, and it worked great.  We're using it in MacPorts currently.
Comment 14 WebKit Commit Bot 2016-03-14 01:37:38 PDT
Comment on attachment 273827 [details]
potential solution (not tested)

Clearing flags on attachment: 273827

Committed r198098: <http://trac.webkit.org/changeset/198098>
Comment 15 WebKit Commit Bot 2016-03-14 01:37:42 PDT
All reviewed patches have been landed.  Closing bug.